body{
    margin: 0;
    padding: 0;
    background: #262626;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 180px;
    height: 60px;
    line-height: 60px;
    text-align: center;
    font-family: verdana;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 6px;
    font-size: 24px;
    background: #ff0;
    color: transparent;
    border: 2px solid #ff0;
    box-shadow: 0 15px 50px rgba(0, 0, 0, .8);
    overflow: hidden;
}
a:before{
    content: attr(data-title);
    position: absolute;
    top: 0;
    left: 0;
    background: #262626;
    color: #fff;
    width: 100%;
    height: 100%;
    transition: .5s;
}
a:after{
    content: attr(data-title);
    position: absolute;
    top: 100%;
    left: -100%;
    background: #262626;
    color: #fff;
    width: 100%;
    height: 100%;
    transition: .5s;
}
a:hover:before{
    top: -100%;
    left: 100%;
}
a:hover:after{
    top: 0;
    left: 0;
}